/ lang / atan2
ATan2
Syntax

    Angle = ATan2 ( Y AS Float , X AS Float ) AS Float
    Angle = Atn2 ( Y AS Float , X AS Float ) AS Float

This function calculates the arc tangent of the two variables X and Y. It is similar to calculating the arc tangent of Y / X, except that the signs of both arguments are used to determine the quadrant of the result.

The function returns the result in radians, which is between -π and π (inclusive).

This is the same function as Ang.

### Examples

    PRINT Deg(ATan2(1, -1))
    <hr>135

### See also

Trigonometric Functions